<?php

namespace App\Modules\Provider\Application\PassengerDistributionNationality;

use App\Modules\Shared\Domain\Bus\Query\Response;

final class PassengerDistributionNationalityQueryResponse implements Response
{
    public function __construct(
        private $data,
        private $totalCount,
    ) {}

    public function data()
    {
        return $this->data;
    }

    public function totalCount(){
        return $this->totalCount;
    }
}
